# [−] List of all items

### Structs

- hio::HStderr
- hio::HStdout

### Enums

- debug::Exception

### Macros

- syscall
- syscall1

### Functions

- debug::exit
- debug::report_exception
- hio::hstderr
- hio::hstdout
- syscall
- syscall1

### Typedefs

- debug::ExitStatus

### Constants

- debug::EXIT_FAILURE
- debug::EXIT_SUCCESS
- nr::CLOCK
- nr::CLOSE
- nr::ELAPSED
- nr::ENTER_SVC
- nr::ERRNO
- nr::FLEN
- nr::GET_CMDLINE
- nr::HEAPINFO
- nr::ISERROR
- nr::ISTTY
- nr::OPEN
- nr::READ
- nr::READC
- nr::REMOVE
- nr::RENAME
- nr::REPORT_EXCEPTION
- nr::SEEK
- nr::SYSTEM
- nr::TICKFREQ
- nr::TIME
- nr::TMPNAM
- nr::WRITE
- nr::WRITE0
- nr::WRITEC
- nr::open::R
- nr::open::RW
- nr::open::RW_APPEND
- nr::open::RW_APPEND_BINARY
- nr::open::RW_BINARY
- nr::open::RW_TRUNC
- nr::open::RW_TRUNC_BINARY
- nr::open::R_BINARY
- nr::open::W_APPEND
- nr::open::W_APPEND_BINARY
- nr::open::W_TRUNC
- nr::open::W_TRUNC_BINARY

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)